using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace ConsoleApp5
{
    internal class Program
    {
        static void Main(string[] args)
        {
            double n, m, j, i, br,x;
            string[] s = Console.ReadLine().Split();
            n = Convert.ToInt64(s[0]);
            m = Convert.ToInt64(s[1]);
                
            br = 0;
            for(i=1;i<=n;i++)
            {
                for(j=1;j<=m;j++)
                {
                    x = i + j;
                    if(x%2==1)
                    {
                        br++;
                    }
                    if(x%2==1 &&(i==1 || j==1 || i==n || j==m))
                    {
                        br++;
                    }
                }
            }
            
            Console.WriteLine(br);
            Console.ReadLine();
        }
    }
}